com.ibm.openpages.api.rule

## Enum TBRuleActionType

- java.lang.Object
- - java.lang.Enum<TBRuleActionType>
  - - com.ibm.openpages.api.rule.TBRuleActionType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TBRuleActionType>

      public enum TBRuleActionType
      extends java.lang.Enum<TBRuleActionType>

  Defines the actions that can be done when a rule is met

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `runAutomatedWorkflow` Run a pre-configured executable workflow
    `setFields` Represents action type to set object field
    `variable` Represents an action type evaluated at runtime and used in other calculation actions

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getId()`
    `static TBRuleActionType` | `getValue(long id)`
    `static TBRuleActionType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TBRuleActionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### runAutomatedWorkflow

          public static final TBRuleActionType runAutomatedWorkflow

      Run a pre-configured executable workflow

    - #### setFields

          public static final TBRuleActionType setFields

      Represents action type to set object field
      Since:
        8.2

    - #### variable

          public static final TBRuleActionType variable

      Represents an action type evaluated at runtime and used in other calculation actions
      Since:
        8.2

  - ### Method Detail

    - #### values

          public static TBRuleActionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TBRuleActionType c : TBRuleActionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TBRuleActionType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public static TBRuleActionType getValue(long id)

    - #### getId

          public long getId()

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.